docs

List prices by lookup key

Retrieves the prices with the given lookup keys, up to 10. Repeat the parameter for several: `lookupKeys=pro_monthly&lookupKeys=pro_yearly`. A key no price has is left out.

GET
/prices

Retrieves the prices with the given lookup keys, up to 10. Repeat the parameter for several: lookupKeys=pro_monthly&lookupKeys=pro_yearly. A key no price has is left out.

AuthorizationBearer <token>

API key for merchant integrations. Send as Authorization: Bearer <your key>.

In: header

Query Parameters

lookupKeys*|array<>

Lookup keys of the prices to return

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/prices?lookupKeys=string"
{  "data": [    {      "id": "price_abc123",      "object": "price",      "name": "string",      "description": "string",      "currency": "EGP",      "unitAmount": 0,      "type": "ONE_TIME",      "recurring": {},      "customUnitAmount": {},      "stock": 0,      "startDate": "string",      "expirationDate": "string",      "active": true,      "lookupKey": "pro_monthly",      "createdAt": "string",      "updatedAt": "string",      "productId": "string"    }  ]}